Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# FileCredentials

class telegram.FileCredentials(file_hash, secret, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  These credentials can be used to decrypt encrypted files from the front_side, reverse_side, selfie and files fields in EncryptedPassportData.

  Available In

  - `telegram.SecureValue.files`

  - `telegram.SecureValue.front_side`

  - `telegram.SecureValue.reverse_side`

  - `telegram.SecureValue.selfie`

  - `telegram.SecureValue.translation`

  Parameters:

    - file_hash (`str`) – Checksum of encrypted file

    - secret (`str`) – Secret of encrypted file

  hash

    Checksum of encrypted file

    Type:

      `str`

  secret

    Secret of encrypted file

    Type:

      `str`